Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84108 - hostname lookup problems with route --inet6
Summary: hostname lookup problems with route --inet6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-12 10:55 UTC by John van Krieken
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-21 13:29:56 UTC


Attachments (Terms of Use)
diff -c for inet6 portion of net-tools (deleted)
2003-02-12 10:58 UTC, John van Krieken
no flags Details | Diff

Description John van Krieken 2003-02-12 10:55:16 UTC
Description of problem:
The gateway in an IPv6 route add must be numeric
netstat -r output is always numeric
(more) potential security problems with strcpy(..., *argv)

Version-Release number of selected component (if applicable):
1.60

How reproducible:
route -A inet6 add fec0::/48 gw "valid IPv6 hostname"
"valid IPv6 hostname": Resolver Error 0 (no error)

Steps to Reproduce:
1. route -A inet6 add fec0::/48 gw "..."
2. netstat -r -A inet6
3.
    
Actual results:
fec0::/48                                  
fec0::a00:20ff:fe1c:5b22                UG    1      0        0 eth1      

Expected results:
fec0::/48                                   "..."                UG    1     
0        0 eth1      

Additional info:
patch available.

Comment 1 John van Krieken 2003-02-12 10:58:07 UTC
Created attachment 90030 [details]
diff -c for inet6 portion of net-tools

fixes all 3 aspects of the bug.
diff is against plain 1.60 and rawhides 1.60-10

Comment 2 Phil Knirsch 2003-05-21 13:29:56 UTC
Added patch (made a unified diff out of it, but code looked sane).

Will be in net-tools-1.60-14, available via rawhide real soon. :-)

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.